{% assign transition_template = ' -moz-transition: VALUE; -webkit-transition: VALUE; -o-transition: VALUE; -ms-transition: VALUE; transition: VALUE;' %}
{% assign transform_template  = ' -moz-transform: VALUE; -webkit-transform: VALUE; -o-transform: VALUE; -ms-transform: VALUE; transform: VALUE;' %}

a,
a:active,
a:focus,
a:hover,
a:visited { color: inherit; text-decoration: none }

h1, h2, h3, h4, h5, h6 { font-weight: 300 }

ul, li { padding: 0; margin: 0 }
ul li { list-style: outside none }

hr { border-color: #dedede }
hr.transl { border-color: rgba(0,0,0,0.08) }

.block { display: block }
.inline-block { display: inline-block !important }

.fs9  { font-size:  9px !important }
.fs10 { font-size: 10px !important }
.fs12 { font-size: 12px !important }
.fs13 { font-size: 13px !important }
.fs14 { font-size: 14px !important }
.fs15 { font-size: 15px !important }
.fs16 { font-size: 16px !important }
.fs18 { font-size: 18px !important }
.fs20 { font-size: 20px !important }
.fs22 { font-size: 22px !important }
.fs24 { font-size: 24px !important }
.fs26 { font-size: 26px !important }
.fs28 { font-size: 28px !important }
.fs30 { font-size: 30px !important }
.fs32 { font-size: 32px !important }
.fs36 { font-size: 36px !important }

.lsp0 { letter-spacing: 0 !important }
.lsp1 { letter-spacing: 1px }
.lsp1e { letter-spacing: 0.08em }
.lsp4 { letter-spacing: 4px }

.lh1 { line-height: 1em !important }
.lh13 { line-height: 1.3em !important }
.lh16 { line-height: 1.6em !important }
.lh2  { line-height: 2em !important }

.clear { clear: both }

.underlined,
.underlined:active,
.underlined:focus,
.underlined:visited { text-decoration: underline }

.text-center { text-align: center }
.text-left { text-align: left }
.text-right { text-align: right }

.text-no-transform { text-transform: none !important }
.text-lower { text-transform: lowercase }
.text-upper { text-transform: uppercase }
.text-capitalize { text-transform: capitalize }

.centered { margin-left: auto !important; margin-right: auto !important }

.no-padding { padding: 0 !important }

.pt0  { padding-top:  0px !important }
.pt5  { padding-top:  5px }
.pt10 { padding-top: 10px }
.pt15 { padding-top: 15px }
.pt20 { padding-top: 20px }
.pt30 { padding-top: 30px }
.pt40 { padding-top: 40px }
.pt50 { padding-top: 50px }
.pt60 { padding-top: 60px }
.pt70 { padding-top: 70px }
.pt80 { padding-top: 80px }
.pt90 { padding-top: 90px }
.pt100{ padding-top:100px }
.pt120{ padding-top:120px }
.pt150{ padding-top:150px }

.pr0  { padding-right:  0px }
.pr5  { padding-right:  5px }
.pr15 { padding-right: 15px }
.pr30 { padding-right: 30px }
.pr50 { padding-right: 50px }

.pb0  { padding-bottom:  0px !important }
.pb5  { padding-bottom:  5px }
.pb10 { padding-bottom: 10px }
.pb15 { padding-bottom: 15px }
.pb20 { padding-bottom: 20px }
.pb30 { padding-bottom: 30px }
.pb40 { padding-bottom: 40px }
.pb50 { padding-bottom: 50px }
.pb60 { padding-bottom: 60px }
.pb70 { padding-bottom: 70px }
.pb80 { padding-bottom: 80px }
.pb90 { padding-bottom: 90px }
.pb100{ padding-bottom:100px }
.pb120{ padding-bottom:120px }
.pb150{ padding-bottom:150px }

.pl0  { padding-left:  0px }
.pl5  { padding-left:  5px }
.pl15 { padding-left: 15px }
.pl30 { padding-left: 30px }
.pl50 { padding-left: 50px }

.mt0  { margin-top:  0px !important }
.mt5  { margin-top:  5px }
.mt10 { margin-top: 10px }
.mt15 { margin-top: 15px }
.mt20 { margin-top: 20px }
.mt30 { margin-top: 30px }
.mt40 { margin-top: 40px }
.mt50 { margin-top: 50px }
.mt100 { margin-top: 100px }
.mt150 { margin-top: 150px }
.mt200 { margin-top: 200px }
.mt250 { margin-top: 250px }

.mr0  { margin-right:  0px }
.mr5  { margin-right:  5px }
.mr10 { margin-right: 10px }
.mr15 { margin-right: 15px }
.mr20 { margin-right: 20px }
.mr30 { margin-right: 30px }
.mr40 { margin-right: 40px }
.mr50 { margin-right: 50px }

.mb0  { margin-bottom:  0px !important }
.mb5  { margin-bottom:  5px }
.mb10 { margin-bottom: 10px }
.mb15 { margin-bottom: 15px }
.mb20 { margin-bottom: 20px }
.mb30 { margin-bottom: 30px }
.mb40 { margin-bottom: 40px }
.mb50 { margin-bottom: 50px }
.mb100 { margin-bottom: 100px }
.mb150 { margin-bottom: 150px }
.mb200 { margin-bottom: 200px }
.mb250 { margin-bottom: 250px }

.ml0  { margin-left:  0px }
.ml5  { margin-left:  5px }
.ml10 { margin-left: 10px }
.ml15 { margin-left: 15px }
.ml20 { margin-left: 20px }
.ml30 { margin-left: 30px }
.ml40 { margin-left: 40px }
.ml50 { margin-left: 50px }

.bt1 { border-top: {{ settings.border_color }} 1px solid }
.bt2 { border-top: {{ settings.border_color }} 2px solid }

.br1 { border-right: {{ settings.border_color }} 1px solid }
.br2 { border-right: {{ settings.border_color }} 2px solid }

.bb1 { border-bottom: {{ settings.border_color }} 1px solid }
.bb2 { border-bottom: {{ settings.border_color }} 2px solid }

.bl1 { border-left: {{ settings.border_color }} 1px solid }
.bl2 { border-left: {{ settings.border_color }} 2px solid }

.dashed-border { border: 1px dashed {{ settings.border_color }} }

.like-table { display: table }
.like-table-row { display: table-row }
.like-table-cell { display: table-cell }

.like-table-cell[class*="col-"] { float: none }

.w50p  { width: 50% }
.w100p { width: 100% }

.h50p  { height: 50% }
.h100p { height: 100% }
.h200p { height: 200% }

.h480 { height: 480px }

.valign-top    { vertical-align: top }
.valign-middle { vertical-align: middle }

img { height: auto; max-width: 100%; width: auto }

.container-fluid.narrower-spacing { padding-left: 5px; padding-right: 5px }
.container-fluid.narrower-spacing .row { margin-left: -5px; margin-right: -5px }
.container-fluid.narrower-spacing .row > [class*="col-"] { padding-left: 5px; padding-right: 5px }

.button { border: {{ settings.text_color_hover }} 1px solid; background-color: {{ settings.text_color_hover }}; color: #FFF; display: table; overflow: hidden;
  height: 40px; line-height: 40px; letter-spacing: 2px; margin-top: 10px; margin-bottom: 5px; padding: 0 20px; text-align: center; text-transform: uppercase; {{ transition_template | replace: 'VALUE', 'all 0.3s ease 0s' }} }
.button:hover { background-color: #FFF; color: {{ settings.text_color_hover }} }
.button[disabled] { background-color: {{ settings.text_color }}; border-color: {{ settings.text_color }}; color: #fff }
.button.loading[disabled] { text-indent: -350% }
.button.smaller { font-size: 12px; height: 26px; letter-spacing: 0.08em; line-height: 26px; padding: 0 18px }
.button.larger { font-size: 21px; height: 50px; letter-spacing: 0.1em; line-height: 50px }
.button.fw { display: block; width: 100% }
.button.transparent { background-color: transparent; border-color: transparent; color: {{ settings.text_color_hover }}; padding-left: 0; padding-right: 0 }
.button.transparent:hover { border-bottom-color: {{ settings.text_color_hover }} }

.cross::before,
.cross::after,
.chevron-left::before,
.chevron-left::after,
.chevron-right::before,
.chevron-right::after { content: ''; display: block; position: absolute; width: 1px; height: 100%; top: 0; left: 50%; background-color: rgba(0,0,0,0.35); {{ transform_template | replace: 'VALUE', 'rotate(45deg)' }} }
.cross::after { {{ transform_template | replace: 'VALUE', 'rotate(-45deg)' }} }
.cross:hover::before,
.cross:hover::after,
.chevron-left:hover::before,
.chevron-left:hover::after,
.chevron-right:hover::before,
.chevron-right:hover::after { background-color: rgba(0,0,0,1) }

.chevron-left:before { height: 60% }
.chevron-left:after { bottom: 0; height: 60%; top: auto; {{ transform_template | replace: 'VALUE' , 'rotate(-45deg)' }}; }
.chevron-right:before { height: 60%; {{ transform_template | replace: 'VALUE' , 'rotate(-45deg)' }}; }
.chevron-right:after { bottom: 0; height: 60%; top: auto }

.chevron-thicker::before,
.chevron-thicker::after { margin-left: -1px; width: 2px }

.chevron-heavy::before,
.chevron-heavy::after { margin-left: -2px; width: 3px }

.chevron-white::before,
.chevron-white::after { background-color: rgba(255,255,255,0.7) }
.chevron-white:hover::before,
.chevron-white:hover::after { background-color: rgba(255,255,255,1) }

.content-slider,
.image-carousel { height: 600px; overflow: hidden; width: 100% }
.content-slider ul.slides,
.content-slider ul.slides > li,
.image-carousel ul.slides,
.image-carousel ul.slides > li { background: transparent none center center no-repeat; background-size: cover; height: 100%; left: 0; overflow: hidden; position: absolute; top: 0; width: 100% }
.content-slider ul.slides > li { display: none }
.content-slider ul.slides > li.active { display: block }
.content-slider > a.prev,
.content-slider > a.next,
.image-carousel > a.prev,
.image-carousel > a.next,
.aob-slider a.aob-slider-nav { background: transparent url({{ 'slider-nav-left.png' | asset_url }}) center center no-repeat; border: 5px solid rgba(0, 0, 0, 0); border-radius: 48px; cursor: pointer; height: 48px; left: 2%; margin-top: -24px; opacity: 0; position: absolute; top: 50%; width: 48px; {{ transition_template | replace: 'VALUE', 'all 0.3s ease 0s' }}; z-index: 1 }
.content-slider > a.next,
.image-carousel > a.next,
.aob-slider a.aob-slider-nav.next { background-image: url({{ 'slider-nav-right.png' | asset_url }}); left: auto; right: 2% }
.content-slider:hover > a.prev,
.content-slider:hover > a.next,
.image-carousel:hover > a.prev,
.image-carousel:hover > a.next,
.aob-slider:hover a.aob-slider-nav { opacity: 1 }
.content-slider:hover .chevron-white::before,
.content-slider:hover .chevron-white::after { background-color: #FFF }
#hero-slider a.next.chevron-right.chevron-heavy::before,
#hero-slider a.next.chevron-right.chevron-heavy::after { left: 50%; margin-left: 0 }
.content-slider > a.prev:hover,
.image-carousel > a.prev:hover,
.aob-slider a.aob-slider-nav:hover { background-color: rgba(0,0,0,0.4) /*{ { transform_template | replace: 'VALUE', 'translateX(-10px)' } }*/ }
.content-slider > a.next:hover,
.image-carousel > a.next:hover,
.aob-slider a.aob-slider-nav.next:hover { background-color: rgba(0,0,0,0.4) /*{ { transform_template | replace: 'VALUE', 'translateX(10px)' } }*/ }
.image-carousel.loading-slides > a.prev,
.image-carousel.loading-slides > a.next { display: none }

#hero-slider.content-slider > a.prev,
#hero-slider.content-slider > a.next { background-image: none }

.image-carousel { height: 240px }
.image-carousel.h2x { height: 480px }
.image-carousel ul.slides > li { width: auto; padding-right: 10px }
.image-carousel ul.slides > li img { display: block; width: auto; height: 100% }